## org.gnu.gdk
Class Event

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event

Direct Known Subclasses:
  EventAny, EventButton, EventClient, EventConfigure, EventCrossing, EventDND, EventExpose, EventFocus, EventKey, EventMotion, EventNoExpose, EventOwnerChange, EventProperty, EventProximity, EventScroll, EventSelection, EventSetting, EventVisibility, EventWindowState

public class Event
extends Boxed

Constructor Summary
`Event(Event event)` Creates a copy of an event.
`Event(EventType type)` Create a new event of a given type.

Method Summary
`static boolean` `eventsPending()` Checks if any events are ready to be processed for any display.
`static Event` `get()` Checks all open displays for an Event to process, to be processed on, fetching events from the windowing system if necessary.
`static EventExpose` `getGraphicsExpose(Window window)` Deprecated. This method is intented for use with deprecated GTK widgets and as such has been deprecated.
`int` `getTime()` Returns the timestamp of the event.
`static Event` `peek()` If there is an event waiting in the event queue of some open display, returns a copy of it.
`static void` `put(Event anEvent)` Appends a copy of a given event onto the front of the event queue the event window's display or the default event queue if the event's window is null.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event(EventType type)

  Create a new event of a given type.

Parameters:
  `type` -

### Event

    public Event(Event event)

  Creates a copy of an event.

Parameters:
  `event` -

Method Detail

### eventsPending

    public static boolean eventsPending()

  Checks if any events are ready to be processed for any display.

### peek

    public static Event peek()

  If there is an event waiting in the event queue of some open display, returns a copy of it.

  Returns:
    A copy of the first Event on some event queue or null if no events are in any queue.

### get

    public static Event get()

  Checks all open displays for an Event to process, to be processed on, fetching events from the windowing system if necessary.

  Returns:
    The next Event to be processed or null if no events are pending.

### getGraphicsExpose

    public static EventExpose getGraphicsExpose(Window window)

  Deprecated. This method is intented for use with deprecated GTK widgets and as such has been deprecated.

  Waits for a GraphicsExpose or NoExpose event from the X server.

  Parameters:
    `window` - Window to wait for the events for.
  Returns:
    An EventExpose event if a GraphicsExpose was received or null if a NoExpose event was received.

### put

    public static void put(Event anEvent)

  Appends a copy of a given event onto the front of the event queue the event window's display or the default event queue if the event's window is null.

  Parameters:
    `anEvent` -

### getTime

    public int getTime()

  Returns the timestamp of the event.